Subject: Re: [PATCH] fetch: print an error when declining to request an unadvertised object

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Feb 2017 09:07:05 -0800

Matt McCutchen <[email-masked]> writes:

> Anyway, I made a split series and will send it in a moment.  I don't
> know if all the commit messages include exactly the information you
> want; hopefully you're happy to edit them as desired.  Compared to the
> previous patch, there is one fix in the net result: fixing t5500-fetch-
> pack.sh to deal with the internationalized "no such remote ref"
> message.

Thanks for going an extra mile.  I think many developers in the
future who reads "git log" will thank you, too.  The changes,
especially the one in the last one, are very much more
understandable compared to the original, even if the end result is
the same.